#!/usr/bin/env python

import sys


import DropBoxDocMotoUtils
import time

#The DocMoto folder eg. "Contents/dropboxtest"
DropBoxDocMotoUtils.DOCMOTO_BASE_FOLDER = "" #Not to end in. / 

#The DocMoto server URL. https for secure. Port 4984 for autoversioning.
#eg. https://:4984
DropBoxDocMotoUtils.DOCMOTO_SERVER_URL = "" #Not to end in /

#DocMoto user name and password. 
DropBoxDocMotoUtils.DOCMOTO_USERNAME = ""
DropBoxDocMotoUtils.DOCMOTO_PWD = ""

#Dropbox app key and secret
DropBoxDocMotoUtils.APP_KEY = ''
DropBoxDocMotoUtils.APP_SECRET = ''

#POSIX path to the temp folder eg "/Users/Fred/temp"
DropBoxDocMotoUtils.TEMP_FOLDER = "" #Ends in /

#Dropbox application level. Two options, app_folder or dropbox
#If set to dropbox the app will synchronize the whole account.
DropBoxDocMotoUtils.ACCESS_TYPE = 'app_folder'

#The name of the file used to store persistent data. An example
#is included in the project download
DropBoxDocMotoUtils.STATE_FILE = 'docmoto_dropbox_cache.json'

def main():
    
    var = 1
    count = 1
    while var == 1:
        DropBoxDocMotoUtils.update(count)
        count = count + 1
        time.sleep(1)

    
if __name__ == '__main__':
    main()